Page MenuHomePhabricator

Request increased quota for rcm Cloud VPS project (merge two projects)
Closed, DeclinedPublic

Description

Project Name: rcm
Type of quota increase requested: misc
Reason:
As you might see, there is still free quota. The reason why I request an increasement is a different one. I'm currently using two Projects for my work, which is a circumstance that I want to change. That is why I want to request, that the existing quota of "codereview" gets added to "rcm". Then I would start to migrate the instances from codeview to rcm, and delete them at codereview. After that, the codereview project can get deleted. That would be my goal. The still existing quota at rcm is needed, in case that I need to have additional workers. For that purpose, I deleted an xlarge instance today, so that I have free quota as well. Additionally, the free quota allows me to migrate the two remaining trusty instances in the near future without service interruption. As well it allows me to scale some instances better, if I notice, that they can be smaller as well, so I can migrate easily.

Codereview has currently two instances. If you prefer it, I can migrate the first one, delete the first, old one, and the do the second one. Would take less ressources.

Event Timeline

Luke081515 renamed this task from Request increased quota for rcm Cloud VPS project (merge to projects) to Request increased quota for rcm Cloud VPS project (merge two projects).Mar 27 2018, 9:51 AM
Luke081515 triaged this task as Low priority.
Luke081515 created this task.
Luke081515 updated the task description. (Show Details)Mar 27 2018, 9:55 AM
bd808 added a comment.Apr 9 2018, 9:15 PM

@Luke081515 can you explain a bit more about the rcm and codereview projects and how merging their instances into a single project makes sense? I see that these are both projects with you as a sole maintainer. Rcm is advertised as a project that "Looks up the recent changes of a wiki, and does other analysis, like analysis of user contributions." Codereview's description says it "Allows you to test gerrit patches at a wiki cluster for a quick and save review."

We have been trying pretty hard to discourage both closed membership and "catch all" projects in new project requests. This particular quota request seems to be in danger of creating a closed membership catch all project with a single maintainer.

Sorry, haven't seen the response yet (getting too much phab notifications, meh).

In fact the scope of both projects changed around the years, I have not updated the description yet.

Rcm turned mostly into a project for some different purposes. Mostly it's supporting developing of some code, that's why I have a few "runners" as well, which are running tests. Some time ago, during some labs reboots, the two runners failed starting again, I had not that much time, so I've setup the currently two instances on codereview to provide a temporary solution. (The problem why I did not setup them at rcm: The runners were on servers, which are used for more than just beeing runners, so recreating would have taken much more time). At that point, "codereview" was not used anymore, it was setup do the codereview hours, but now it's as dead as they are.

So, in fact it's one project: Both instances at codereview are only there for one purpose: They get operated from a program from an instance of rcm (at I ssh to them sometimes, to make sure package updates are done, puppet is running etc.). So the only reason why there are currently two project: As I've created the both instances at codereview, that was easier, at way faster, to provide a fast solution to the outtage there. That's why want to have them in rcm: The seperation does not really make sense.

As well as you mentioned it: There is currently only one maintainer, that can get in fact a problem. I'm currently discussing with one of the projectmembers to make them projadmin as well, so that in case that something bad happens, they can take over.

@Luke081515 I'm having some difficulty following your answer in T190788#4197153. In T190788#4118570 I said "This particular quota request seems to be in danger of creating a closed membership catch all project with a single maintainer." Your response has not helped me understand things differently. Can you state clearly what the goal of the combined rcm+codereview project will be and who will be allowed to participate?

Aklapper changed the task status from Open to Stalled.May 29 2018, 12:06 PM

@Luke081515: Changing task status to stalled; please reset once answered. Thanks!

bd808 closed this task as Declined.May 21 2019, 11:56 PM

Closed for inactivity. Please reopen when you can answer the questions in T190788#4198943.